pydo.signals.get_export()

Generated on 6 Nov 2026 from pydo version v0.45.0

Usage

client.signals.get_export(export_id="9f13c09c-c877-436b-9863-dcc39c9dd737")
Returns JSON Raises HttpResponseError

Description

To retrieve the status and details of a signals export job, send a GET request to /v1/signals/exports/{export_id}.

Parameters

export_id string required

A unique identifier for an export job.

Response Example

Show Response Example
{
  "export_id": "9f13c09c-c877-436b-9863-dcc39c9dd737",
  "type": "agent",
  "agent_id": "01a0f3d5-b58d-7c99-a743-7ca0397b7f5d",
  "environment_id": "01a0f3d5-b58d-7c99-a743-7ca0397b7f5d",
  "status": "complete",
  "filters": {
    "signal_type": [
      "ExecutionFailureToolNotFound"
    ],
    "session_ids": [
      "01a0f3d5-d5f1-798a-9352-2cd8f8b81e78"
    ]
  },
  "created_at": 1791036405,
  "completed_at": 1791036405,
  "expires_at": 1791641205,
  "error_message": null
}

More Information

See /v1/signals/exports/{export_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.